## bigfile

#### OS/161 Reference Manual

### Name

bigfile - create a large file in small chunks

### Synopsis

`/testbin/bigfile` filename size
`/testbin/bigfile` filename size`/`chunksize

### Description

`bigfile` creates a file of the specified size in chunks of the specified chunk size. The default chunk size is 10, which is excessively small. The largest chunk size supported is 8192. The file size is rounded up to an integral number of chunks. Very small chunk sizes are not fully honored.

### Requirements

`bigfile` uses the following system calls:

- open
- write
- close
- _exit

`bigfile` should run on emufs once the basic system calls are complete, and should run on SFS once the file system assignment is complete. Sufficiently small files should work on SFS even before that point.